Bug 427318 - unable to load own photo - chashes when changing settings [NEEDINFO]
unable to load own photo - chashes when changing settings
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdesklets-calendar (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Tyler Owen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-02 20:18 EST by david
Modified: 2009-01-09 02:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:34:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
luya_tfz: needinfo? (davidearlenz)


Attachments (Terms of Use)

  None (edit)
Description david 2008-01-02 20:18:55 EST
Description of problem:
Won't show selected monthly photo from local hard drive - default remains 
unchanged
Crashes gdesklets while changing photo settings

Version-Release number of selected component (if applicable):
gdesklets-calendar-0.52-1.fc8
gdesklets-0.35.4-9.fc8
gdesklets-goodweather-0.3-2.fc8

How reproducible:


Steps to Reproduce:
1. Right click on calendar
2. Click on configure
3. Tick monthly photo
4. Browse local drive for desired photo
5. Click OK
  
Actual results:
Photo unchanged  -  and/or gdesklets crashes

Expected results:
Chosen photo appears at top of calendar

Additional info:
Comment 1 Tyler Owen 2008-01-03 01:37:05 EST
Can you please try the latest packaged version of gDesklets
(gdesklets-0.36-0.3.beta.fc8) which is in the stable updates.  If you do not see
it there, the koji page is here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=25330

I am unable to reproduce the issue on my system and I am using 0.36
Comment 2 david 2008-01-03 04:18:05 EST
Have installed latest version now.
It gives an opening message that it is an unstable version.
Still had crashes and more problems with the calendar before

However, have found that once I had restarted the calendar from the gdesklets 
shell it all works fine.

Seems to be it doesn't like the settings from the previous version?
Comment 3 david 2008-01-03 04:28:24 EST
Sorry - but further experimenting shows that it doesn't like some photos (size 
might be the issue) and behaviour again unstable.  Previous versions could 
choose any photo to go with it.
Comment 4 Tyler Owen 2008-01-03 10:02:41 EST
Hmm.. I am unable to replicate the issue.  Would it be possible to attach one of
the pics that is causing an issue to the ticket so that I could test that on my PC
Comment 5 Tyler Owen 2008-01-19 10:47:05 EST
I have just pushed gdesklets-calendar to the updates testing repo for F8.

Could you please test this version and see if it fixes your issue.

https://admin.fedoraproject.org/updates/F8/pending/gdesklets-calendar-0.60-1.fc8

you should be able to install this package with:

yum --enablerepo=updates-testing gdesklets-calendar
Comment 6 david 2008-01-19 20:04:39 EST
I have installed the new test version and still crashed with the original image.

The original image was a jpeg - so have converted to png and reloaded it to 
gdesklets-calendar and works.

Seems to be the issue is with the picture format.  Earlier versions did accept 
jpeg.  I tested jpeg 2000 format and it crashed gdesklets immediately.

Sorry for not posting the picture early - life has been busy - it is summer 
holidays here in NZ.  Let me know if you still want it and I can load it to 
Flickr and post the link  (didn't work sending it as an attachment direct to 
bugzilla for some reason)
Comment 7 Tyler Owen 2008-01-21 09:36:24 EST
I am happy to try out the image if you like.  I think it might be time to open a
case with the upstream project (www.gdesklets.de).  If you would like I can do
this, but it might be more beneficial if you do since you have more details than
I do.

Just let me know how you would like to proceed.
Comment 8 Bug Zapper 2008-11-26 04:15:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:34:06 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.